TABS(1) | General Commands Manual | TABS(1)

# NAME

tabs — set terminal tabs

# SYNOPSIS

tabs | [-n|-a|-a2|-c|-c2|-c3|-f|-p|-s|-u] [+m[n]] [-T type]

tabs | [-T type] [+[n]] n1[,n2,...]

# DESCRIPTION

The tabs utility displays a series of characters that first clears the hardware terminal tab settings and then initializes the tab stops at the specified positions and optionally adjusts the margin.

The phrase "tab-stop position N" means that, from the start of a line of output, tabbing to position N shall cause the next character output to be in the (N+1)th column on that line.

The following options are supported:

-n
  Specifies repetitive tab stops separated by a uniform number of columns, n, where n is a single digit decimal number. The default usage of tabs with no arguments is equivalent to tabs -8. When -0 is used, the tab stops are cleared and no new ones set.
-a
  Assembler, applicable to some mainframes. Equivalent to tabs 1,10,16,36,72 .
-a2
  Assembler, applicable to some mainframes. Equivalent to tabs 1,10,16,40,72
-c
  COBOL, normal format. Equivalent to tabs 1,8,12,16,20,55
-c2
  COBOL, compact format (columns 1 to 6 omitted). Equivalent to tabs 1,6,10,14,49
-c3
  COBOL, compact format (columns 1 to 6 omitted), with more tabs than -c2. Equivalent to tabs 1,6,10,14,18,22,26,30,34,38,42,46,50,54,58,62,67
-f
  FORTRAN. Equivalent to tabs 1,7,11,15,19,23
-p
  PL/1. Equivalent to tabs 1,5,9,13,17,21,25,29,33,37,41,45,49,53,57,61
-s
  SNOBOL. Equivalent to tabs 1,10,55
-T type
  Indicates the type of terminal.
-u
  Assembler, applicable to some mainframes. Equivalent to tabs 1,12,20,44

# EXIT STATUS

The tabs utility exits 0 on success, and >0 if an error occurs.

# ENVIRONMENT

The COLUMNS and TERM environment variables affect the execution of tabs as described in environ(7).

The -T option overrides TERM. If neither TERM nor the -T option are present, tabs will fail.

# SEE ALSO

expand(1), stty(1), tput(1), unexpand(1), termcap(5)

# STANDARDS

The tabs utility conforms to IEEE Std 1003.1 (“POSIX.1”).

# HISTORY

A tabs utility first appeared in PWB UNIX. This implementation was introduced in NetBSD 6.0.

# AUTHORS

Roy Marples <roy@NetBSD.org>

# BUGS

The current termcap(5) database does not define the set left soft margin ‘`ML`' capability for any terminals.

December 9, 2008 | NetBSD 6.0